@font-face {
  font-family: "Overpass Mono";
  src: url(OverpassMono-SemiBold.ttf);
}
@font-face {
  font-family: "Oswald";
  src: url(Oswald-Regular.ttf);
}
html {
  --black: #000000;
  --white: #ffffff;
  --darkest: #3d144c;
  --darker: #16171a;
  --dark: #a3afbf;
  --medium: #dfe7ef;
  --light: #cad4e1;
  --lighter: #f5f8fc;
  --lightest: var(--white);

  --primary: #1685f8;
  --primary-light: #7bbbff;
  --primary-trans: #1685f850;

  --yellow: #fec763;
  --pink: #ea55b1;
  --teal: #00c2ba;
  --blue: #3b55ce;

  --bg: var(--darkest);
  --color: var(--lightest);
  --surface: var(--darker);
  --spacing-unit: 0.8rem;
}

html {
  font-size: 62.5%;
  box-sizing: border-box;
  width: 100%;
  height: 100%;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body {
  background: var(--bg);
  color: var(--color);
  font-size: 1.6rem;
  font-family: "Overpass Mono", system-ui;
  overflow: hidden;
  width: 100%;
  height: 100%;
  margin: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 400;
  letter-spacing: 0.05em;
  margin-top: calc(var(--spacing-unit));
  margin-bottom: calc(var(--spacing-unit));
  font-family: "Oswald", system-ui;
}

a {
  color: var(--primary);
  text-decoration: none;
  transition: all 120ms ease-out 0s;
  display: inline-block;
  border-radius: calc(var(--spacing-unit) / 2);
}

li {
  list-style: none;
}

a:hover {
  background: var(--primary-trans);
  color: var(--primary-light);
  box-shadow: 0px 0px 0px calc(var(--spacing-unit) / 2) var(--primary-trans);
}

button,
textarea,
input,
select {
  font-family: inherit;
  color: inherit;
}

button:active,
textarea:active,
input:active,
select:active,
button:focus,
textarea:focus,
input:focus,
select:focus {
  outline: 0;
}

button,
select {
  cursor: pointer;
}

.wrapper {
  width: 100%;
  height: 100%;
  max-width: 1080px;
  margin: auto;
  padding-left: calc(var(--spacing-unit)*2);
  padding-right: calc(var(--spacing-unit)*2);
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 2.4rem;
  position: relative;
}

.nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 1.5rem;
  width: 100%;
  background-color: #f52789;
}

.nav-icon {
  display: none;
}

.bar {
  display: block;
  width: 35px;
  height: 2px;
  margin: 5px auto;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  background-color: var(--white);
}
.nav-menu {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav-item {
  margin-left: 5rem;
}

.nav-link {
  font-size: 1.6rem;
  font-weight: 400;
  color: white;
  z-index: 9999;
}

.nav-logo {
  max-height: 40px;
}

.nav-squigl svg { 
  display: none;
}

.content {
  width: 100%;
  height: 100%;
  display: flex;
}

.col-img {
  width: 40%;
  padding: 0 2rem 0 0;
}

.col-squigl {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
}

.squigl {
  width: 100%;
  height: 25%;
}

.col-text {
  width: 60%;
  height: auto;
  padding: 10rem 10rem;
  background-color: #1685f8;
}

.color-row {
  display: flex;
  flex-flow: row wrap;
  height: 30%;
}
.color {
  width: 20%;
  height: 20%;
  display: flex;
}

.rank-container {
  padding: 0;
  margin: 0;
}

.rank-list {
  display: flex;
  flex-flow: row wrap;
}

.rank-list .rank {
  width: 20%
}
.rank-list .name {
  width: 60%
}
.rank-list .count {
  width: 20%
}

.rank-list .head {
  font-size: 80%;
  margin-bottom: 0.5em;
}

.rank-border {
  width: 90%;
  border-top: 2px dashed white;
  margin: 0.25rem 0 0.5rem 0;
}

.loader {
  text-align: center;
  width: 100%;
  height: 50%;
}

@media screen and (max-width: 1200px) {
  .wrapper {
    padding-top: 0;
  }
  .header {
    padding: 0;
  }
  .nav-menu {
    position: fixed;
    left: -100%;
    top: 0;
    margin: 0;
    flex-direction: column;
    background-color: #faeb2c;
    width: 100%;
    height: 100%;
    text-align: right;
    transition: 0.3s;
    box-shadow: 0 10px 27px rgba(0, 0, 0, 0.05);
    justify-content: flex-start;
    align-items: flex-end;
  }
  .nav-menu.active {
    left: 0;
  }
  .nav-menu .nav-item {
    padding: 1rem 4rem;
  }
  .nav-logo {
    display: none;
  }
  .nav-item {
    margin: 0;
  }
  .nav-link {
    font-size: 130%;
    color: #3d144c;
  }

  .nav-icon {
    display: block;
    cursor: pointer;
  }
  .nav-icon.active .bar {
    background-color: #3d144c;
  }
  
  .nav-icon.active .bar:nth-child(1), .nav-icon.active .bar:nth-child(2) {
    transform: translateY(8px) rotate(45deg);
  }
  
  .nav-icon.active .bar:nth-child(3), .nav-icon.active .bar:nth-child(4) {
    transform: translateY(-8px) rotate(-45deg);
  }

  .nav-squigl svg {
    display: block;
    position: fixed;
    transition: 0.3s;
    left: -100%;
    bottom: 0;
  }

  .nav-squigl.active svg {
    left: 0;
    bottom: 0;
  }
  
  .nav-squigl.active {
    position: fixed;
    bottom: 0;
    left: 0;
    display: block;
    width: 100%;
  }
  
  .nav-icon.active .bar:nth-child(2), .nav-icon.active .bar:nth-child(4) {
    opacity: 0;
  }
  .col-img {
    display: none;
  }
  .col-text {
    width: 100%;
    height: 100%;
    padding: 2rem 4rem;
  }
}